﻿.login-container {
    max-width: 900px;
    padding: 0 10px;
    margin: 0 auto;
    min-height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #fff;
}

.sgp-copy {
    position: absolute;
    bottom: 0;
    text-align: center;
    width: 100%;
    color: #757575;
    font-size: 0.9rem;
}

#loading {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 10050;
    background-color: rgba(255, 255, 255, 0.45);
    text-align: center;
}

#loading-image {
    background: url(../img/loading.gif);
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    left: 50%;
    top: 50%;
    width: 96px;
    height: 96px;
    transform: translate(-50%, -50%);
    z-index: 10051;
}

main.login-div-principal {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%
}

main.login-div-principal .boxshadow-div {
    position: relative;
    width: calc(100% - 4%);
    height: calc(100% - 4%);
    border-radius: 16px;
    box-shadow: 0 1px 5px 0 rgba(0, 0, 0, 0.2), 0 3px 1px 0 rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.14);
}

.login-form {
    border: solid 1px #65acc3;
    width: 560px;
    background: #fff;
    border-radius: 3px;
    position: relative;
    padding: 15px 60px 40px 60px;
}

.form-content {
    max-width: 400px;
    width: 100%;
    padding: 40px 20px;
    border-radius: 12px;
    box-shadow: 0 1px 5px 0 rgba(0, 0, 0, 0.2), 0 3px 1px 0 rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.14);
}

.select-environment-page .container-form-login {
    width: 100%;
    display: flex;
    justify-content: center;
}

.select-environment-page .select-environment-form {
    max-width: 460px;
}

.select-environment-page .enter-icon-content {
    min-width: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.select-environment-page .enter-icon-content .k-font-icon {
    font-size: 18px;
    color: #000;
}

.select-environment-page .logoSgpAr {
    width: 280px;
    max-width: 100%;
    height: auto;
}


.form-content .enter-button {
    background-color: #57A4BD;
    color: #fff;
    outline: none;
    border: none;
    width: 100%;
    border-radius: 5px;
    height: 36px;
    font-family: var(--medium);
    font-size: 1rem;
}

.form-content .enter-button.voltar {
    display: none;
}

.form-content .enter-button[disabled] {
    opacity: 0.5;
}

.form-content .input-form {
    border: none;
    border-bottom: 1px solid #2121211F;
    padding-left: 8px;
    padding-right: 50px;
}

.input-action-wrapper {
    
    position: relative;
}

.input-action-wrapper .input-form {
    padding-right: 50px;
}

.input-action-wrapper.password-wrapper .input-form {
    padding-right: 78px;
}

.input-action-wrapper.password-register-wrapper .input-form {
    padding-right: 104px;
}

.form-content .input-form.password-recovery {
    padding-right: 3.5rem;
}

.form-content .forgot-password a {
    text-decoration: underline;
    color: #000;
}

.form-content .register-button {
    background-color: transparent;
    border: none;
    outline: none;
    text-decoration: underline;
}

.termos-e-condicoes {
    text-decoration: underline !important;
    cursor: pointer;
}

.form-content .mandatory-text {
    font-style: italic;
    font-size: 0.8rem;
}

.error-text {
    color: #F31700;
    font-size: 0.75rem;
}

.form-content .google-auth .L5Fo6c-PQbLGe, .form-content .google-auth .L5Fo6c-PQbLGe #container-div {
    width: 100%
}

.form-content .google-auth .nsm7Bb-HzV7m-LgbsSe {
    border-color: #2121211F;
}

.form-content .google-auth .nsm7Bb-HzV7m-LgbsSe .nsm7Bb-HzV7m-LgbsSe-bN97Pc-sM5MNb {
    justify-content: center;
}

.form-content .google-auth .nsm7Bb-HzV7m-LgbsSe .nsm7Bb-HzV7m-LgbsSe-BPrWId {
    -webkit-flex-grow: unset;
    flex-grow: unset;
    font-family: var(--medium);
    color: #000;
}

.info-input-icon {
    position: absolute;
    right: 20px;
    bottom: 10px;
    width: 16px;
    height: 16px;
    cursor: pointer;
}

.info-input-icon.password-recovery-info{
    right: 30px;
}

.background-toltip {
    display: flex;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 40px;
    z-index: 5;
    width: 100%;
}

.toltip {
    position: relative;
    background-color: #fff;
    box-shadow: 0 1px 5px 0 rgba(0, 0, 0, 0.2), 0 3px 1px 0 rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.14);
    padding: 15px;
    width: 80%;
    margin: 0 auto;
    border-radius: 12px;
}

.toltip .close-button {
    position: absolute;
    right: 10px;
    top: 10px;
    outline: none;
    border: none;
    background-color: transparent;
}
.toltip .close-button:focus {
    outline: none;
}

.k-switch-md {
    width: 50px !important;
    height: 20px !important;
    font-size: 10px !important;
}

.k-switch-on .k-switch-track {
    background-color: #0d6efd !important;
    border: none;
}

.k-switch-md .k-switch-thumb {
    width: 30px !important;
    height: 30px !important;
    border: none !important;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.14),
    0px 3px 1px rgba(0, 0, 0, 0.12),
    0px 1px 5px rgba(0, 0, 0, 0.20);
}

.k-switch-on.k-switch-md .k-switch-thumb {
    background-color: #57A4BD;
}

.k-switch-on.k-switch-md .k-switch-track {
    background-color: rgba(63, 81, 181, 0.54) !important;
}

.k-switch-md .k-switch-track {
    width: 50px !important;
    height: 20px !important;
    border: none !important;
}

.k-switch-off .k-switch-track {
    background-color: rgba(160, 160, 160, 0.44) !important;
    border-color: rgba(160, 160, 160, 0.44) !important;
}

.toltip .close-button .close {
    width: 16px;
    height: 16px;
}

.toltip p {
    font-size: 0.8rem;
}

.clear-input-icon {
    position: absolute !important;
    right: 8px;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
    height: 16px;
    line-height: 16px;
    font-size: 16px;
    cursor: pointer;
    color: #7a7a7a;
}

.clear-input-icon.password-info {
    right: 30px;
}

.clear-input-icon.password-register, .clear-input-icon.password-recovery {
    right: 52px;
}

.warning-circle {
    position: absolute !important;
    right: 28px;
    top: 50%;
    transform: translateY(-50%);
    display: none;
    width: 16px;
    height: 16px;
    line-height: 16px;
    font-size: 16px;
    color: #F31700 !important;
}

.warning-circle.senha-login {
    right: 52px;
}

.warning-circle.senha-register {
    right: 76px;
}

.warning-circle.warning-password-recovery {
    right: 86px;
    top: 57%;
}

.container-logo {
    max-width: 400px;
}

.icon-mobile {
    display: none;
}

.icon-desktop {
    display: block;
}

.container-logo h1 {
    font-size: 1.5rem;
    font-family: var(--medium);
}
.container-logo p {
    font-size: 1rem;
    font-family: var(--regular);
}

.notification-col {
    height: 125px;
}

.button-terms-modal {
    background-color: #57A4BD;
    color: #fff;
    outline: none;
    border: none;
    max-width: 350px;
    width: 100%;
    border-radius: 5px;
    height: 36px;
    font-family: var(--regular);
    font-size: 1rem;
}

.terms-header-modal {
    border: none;
}

/*Forgot Passoword*/

.button-voltar {
    background-color: unset;
    outline: none;
    color: #757575;
    font-size: 12px;
    border: none;
    text-decoration: underline;
    position: absolute;
    top: 20px;
    left: 20px;
}
.button-voltar:focus{
    outline: none;
}

#toggle-password {
    position: absolute;
    right: 8px;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;
    cursor: pointer;
}

#toggle-password #eye-icon {
    position: relative;
    display: inline-block;
    width: 16px;
    height: 16px;
    line-height: 16px;
    font-size: 16px;
    cursor: pointer;
    color: #7a7a7a;
}

#toggle-password.is-hidden #eye-icon::after {
    content: "";
    position: absolute;
    top: -1px;
    left: 7px;
    width: 2px;
    height: 18px;
    background-color: #7a7a7a;
    transform: rotate(-45deg);
    border-radius: 1px;
}

#verifyCookies {
    position: absolute;
    top:0;
    left:0;
    width: 100%;
    height: 100%;
    cursor: pointer;
    z-index: 10;
}

.btn-microsoft {
    width: 100%;
    display: inline-flex;
    align-items: center;
    justify-content: center; /* você pode mudar pra 'flex-start' se quiser o ícone mais à esquerda */
    height: 40px;
    padding: 0 12px;
    background-color: #ffffff;
    border: 1px solid #dadce0;
    border-radius: 4px;
    font-family: Roboto, sans-serif;
    font-size: 14px;
    font-weight: 500;
    color: #3c4043;
    cursor: pointer;
    box-shadow: 0 1px 2px rgba(0,0,0,0.05);
    transition: background-color 0.2s ease, box-shadow 0.2s ease;
}

.btn-microsoft:hover {
    background-color: rgba(66, 133, 244, 0.06); /* Azul MUITO leve */
    box-shadow: 0 1px 2px rgba(66, 133, 244, 0.1); /* Sombra super discreta */
}

.btn-microsoft:active {
    background-color: #e8eaed;
}

.btn-icon-microsoft {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 18px;
    height: 18px;
    margin-right: 12px;
}

.btn-icon-microsoft img {
    width: 100%;
    height: 100%;
}

.btn-microsoft-text {
    white-space: nowrap;
    flex-grow: unset;
    font-family: var(--medium);
    color: #000;
}

.input-form{
    height: 37px;
}

.input-form:focus, .input-form:focus-within, .input-form:hover{
    outline: 0px !important;
    border: 0px !important;
    border-bottom: 1px solid #57A4BD !important;
}

.register-form-content .info-input-icon.register-info {
    position: absolute;
    right: 30px;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
    height: 16px;
    line-height: 16px;
    font-size: 16px;
    cursor: pointer;
    color: #7a7a7a;
    z-index: 2;
}

.register-form-content .background-toltip {
    bottom: 48px;
}

.register-form-content .toltip {
    width: 100%;
}

.div-termoscondicoes-texto{
    max-height: 650px;
    overflow: auto;
}

.k-checkbox{
    display: block !important;
}

.k-switch-track{
    display: none;
}

@media (max-width: 576px) {
    .background-toltip {
        position: fixed;
        display: flex;
        justify-content: center;
        align-items: center;
        bottom: unset;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: rgb(0, 0, 0, 0.25);
        width: 100%;
        height: 100%;
    }
}
@media (max-width: 767px) {
    .icon-mobile {
        display: block;
    }

    .icon-desktop {
        display: none;
    }

    main.login-div-principal .boxshadow-div {
        width: 100%;
        height: 100%;
        border-radius: unset;
        box-shadow: none;
    }
    .login-container {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 2rem 10px;
    }
    .login-container .container-logo {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }
    .sgp-copy {
        display: none;
    }
    .container-logo h1, .container-logo p {
        text-align: center;
    }    
}
@media (max-width: 992px) {
    .button-terms-modal {
        max-width: unset;
    }

}
@media (max-width: 1200px) {

}
